Bug 492368 - xorg fails to start and system unresponsive with nouveau driver (PCI ID 0845) [NEEDINFO]
xorg fails to start and system unresponsive with nouveau driver (PCI ID 0845)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
11
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-26 12:26 EDT by Robert M Williams
Modified: 2010-06-28 07:34 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:34:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
bskeggs: needinfo? (rwilliam)
mcepl: needinfo? (rwilliam)


Attachments (Terms of Use)

  None (edit)
Description Robert M Williams 2009-03-26 12:26:25 EDT
Description of problem:
system displays black screen and is non-responsive with nouveau driver

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.configure system for use with nouveau driver
2.restart
3.
  
Actual results:
blank screen and system unresponsive
unable to switch sessions
unable to kill xorg

Expected results:
xorg starts and displays optimized graphic resolution

Additional info:
smolt profile
http://www.smolts.org/client/show/pub_2056514d-e498-477e-982a-806fc6aca393
Comment 1 Robert M Williams 2009-03-26 12:47:02 EDT
native resolution of laptop lcd is 1366x768
Comment 2 Adam Williamson 2009-03-26 14:32:12 EDT
This series of chips not working with nv or nouveau is actually known:

http://bugs.freedesktop.org/show_bug.cgi?id=17526
http://bugs.freedesktop.org/show_bug.cgi?id=18092

Ben, is it useful to keep this bug open or should we just close it?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Adam Williamson 2009-03-26 14:33:28 EDT
PCI ID of Robert's card is 0845

(for my searching / grepping sanity)

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Ben Skeggs 2009-03-26 18:45:21 EDT
It's probably useful to keep open here also, until it's dealt with.  But yeah, known non-working chipset, which we've blacklisted from X autoconfiguration.  xf86-video-nv probably wouldn't work either, but I'd be *very* interested to hear if it does.
Comment 5 Bug Zapper 2009-06-09 08:39:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Ben Skeggs 2009-06-29 05:07:27 EDT
Hi there!

Are you able to update to the kernel build from http://koji.fedoraproject.org/koji/buildinfo?buildID=112059 and add "nouveau.modeset=1 nouveau.uscript=1" to your boot options?

It hasn't been confirmed, but there's a chance that the improvements in this build may help with the issues you see.  If not, I'd be interested in seeing kernel logs from booting with "drm.debug=1 nouveau.modeset=1 nouveau.uscript=1" in your boot options.

Thanks!
Comment 7 Matěj Cepl 2009-11-05 13:23:46 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 8 Chris Campbell 2009-12-03 20:38:06 EST
Robert (original reporter), are you able to update your kernel and retest, per Ben's Comment #6?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Matěj Cepl 2010-02-26 07:20:58 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 10 Bug Zapper 2010-04-27 09:19:47 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-06-28 07:34:14 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.